import { setGlobalStore } from "dd-store";
import exampleStore from "./stores/exampleStore";
import { checkFullScren } from "./utils/checkFullScren";
setGlobalStore(exampleStore);

App({
  onLaunch(options) {
    // 第一次打开
    // options.query == {number:1}
    // console.info('App onLaunch');
    this.globalData.isFullScren = checkFullScren;
  },
  onShow(options) {
    // 从后台被 scheme 重新打开
    // options.query == {number:1}
  },

  globalData: {
    isFullScren: false,
    loading: false,
    token: "",
    avatar: "",
    userid: "",
    name: "",
    userInfo: "",
    globalUrl: "https://gateway-beta.mingwork.com", //beta地址
    globalUrl2: "https://third-authentication-beta.mingwork.com"
    // globalUrl: "https://gateway2.mingwork.com", // 线上地址
    // globalUrl2: "https://third-authentication.mingwork.com" //beta地址
  }
});
